gtksourceviewmm: Gsv::CompletionItem Class Reference

gtksourceviewmm 3.18.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gsv::CompletionItem Class Reference

CompletionItem. More...

`#include <gtksourceviewmm/completionitem.h>`

Inheritance diagram for Gsv::CompletionItem:
[legend]

## Public Member Functions
| CompletionItem (CompletionItem&& src) noexcept
CompletionItem& | operator= (CompletionItem&& src) noexcept
| ~CompletionItem () noexcept override
GtkSourceCompletionItem* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionItem* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionItem* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon to be shown for this item.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon to be shown for this item.
Glib::PropertyProxy< Glib::ustring > | property_info ()
| Info to be shown for this item.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_info () const
| Info to be shown for this item.
Glib::PropertyProxy< Glib::ustring > | property_label ()
| Label to be shown for this item.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_label () const
| Label to be shown for this item.
Glib::PropertyProxy< Glib::ustring > | property_markup ()
| Markup to be shown for this item.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_markup () const
| Markup to be shown for this item.
Glib::PropertyProxy< Glib::ustring > | property_text ()
| Item text.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Item text.
Public Member Functions inherited from Gsv::CompletionProposal
| CompletionProposal (CompletionProposal&& src) noexcept
CompletionProposal& | operator= (CompletionProposal&& src) noexcept
| ~CompletionProposal () noexcept override
GtkSourceCompletionProposal* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionProposal* | gobj () const
| Provides access to the underlying C GObject.
Glib::ustring | get_label () const
| Gets the label of a proposal.
Glib::ustring | get_markup () const
| Gets the label of a proposal with markup.
Glib::ustring | get_text () const
| Gets the text of a proposal.
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the icon of a proposal.
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the icon of a proposal.
Glib::ustring | get_info () const
| Gets extra information associated to the proposal.
void | changed ()
| Emits the "changed" signal on a proposal.
guint | hash () const
| Get the hash value of a proposal.
bool | equal (const Glib::RefPtr< const CompletionProposal >& other) const
| Get whether two proposal objects are the same.
Glib::SignalProxy< void > | signal_changed ()
| Emitted when the proposal has changed.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with label label, icon icon and extra information info.
static Glib::RefPtr< CompletionItem > | create (const Markup& markup, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with markup label markup, icon icon and extra information info.
static Glib::RefPtr< CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Gtk::StockID& stock, const Glib::ustring& info)
| Creates a new CompletionItem from a stock item.
Static Public Member Functions inherited from Gsv::CompletionProposal
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions
| CompletionItem (const Glib::ustring& label, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| CompletionItem (const Markup& markup, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| CompletionItem (const Glib::ustring& label, const Glib::ustring& text, const Gtk::StockID& stock, const Glib::ustring& info)
Protected Member Functions inherited from Gsv::CompletionProposal
| CompletionProposal ()
| You should derive from this class to use it.
virtual void | on_changed ()
| This is a default handler for the signal signal_changed().

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gsv::CompletionItem > | wrap (GtkSourceCompletionItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Gsv::CompletionProposal
Glib::RefPtr< Gsv::CompletionProposal > | wrap (GtkSourceCompletionProposal* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

CompletionItem.

Since gtksourceviewmm 2.10

## Constructor & Destructor Documentation

## ◆ CompletionItem() [1/4]

Gsv::CompletionItem::CompletionItem | ( | CompletionItem&& | src | ) |
| noexcept

## ◆ ~CompletionItem()

Gsv::CompletionItem::~CompletionItem | ( |  | ) |
| overridenoexcept

## ◆ CompletionItem() [2/4]

Gsv::CompletionItem::CompletionItem | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info )
| explicitprotected

## ◆ CompletionItem() [3/4]

Gsv::CompletionItem::CompletionItem | ( | const Markup& | markup,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info )
| explicitprotected

## ◆ CompletionItem() [4/4]

Gsv::CompletionItem::CompletionItem | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Gtk::StockID & | stock,
|  | const Glib::ustring & | info )
| explicitprotected

Deprecated
  Use a constructor without a stock ID instead.

## Member Function Documentation

## ◆ create() [1/3]

static Glib::RefPtr< CompletionItem > Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info )
| static

Create a new CompletionItem with label label, icon icon and extra information info.

; If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters

  label | The item label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10

## ◆ create() [2/3]

static Glib::RefPtr< CompletionItem > Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Gtk::StockID & | stock,
|  | const Glib::ustring & | info )
| static

Creates a new CompletionItem from a stock item.

If label is empty, then stock label will be used.

Parameters

  label | The item label.
  text | The item text.
  stock | The stock icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10

Deprecated
  Use a create() method without a stock ID instead.

## ◆ create() [3/3]

static Glib::RefPtr< CompletionItem > Gsv::CompletionItem::create | ( | const Markup& | markup,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info )
| static

Create a new CompletionItem with markup label markup, icon icon and extra information info.

If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters

  markup | The item markup label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10

## ◆ get_type()

static GType Gsv::CompletionItem::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSourceCompletionItem * Gsv::CompletionItem::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSourceCompletionItem * Gsv::CompletionItem::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSourceCompletionItem * Gsv::CompletionItem::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

CompletionItem& Gsv::CompletionItem::operator= | ( | CompletionItem&& | src | ) |
| noexcept

## ◆ property_icon() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > Gsv::CompletionItem::property_icon | ( |  | ) |

Icon to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_icon() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > Gsv::CompletionItem::property_icon | ( |  | ) | const

Icon to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_info() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_info | ( |  | ) |

Info to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_info() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_info | ( |  | ) | const

Info to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_label() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_label | ( |  | ) |

Label to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_label() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_label | ( |  | ) | const

Label to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_markup | ( |  | ) |

Markup to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_markup() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_markup | ( |  | ) | const

Markup to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [1/2]

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_text | ( |  | ) |

Item text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_text() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_text | ( |  | ) | const

Item text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gsv::CompletionItem > wrap | ( | GtkSourceCompletionItem * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.